// Copyright 2016 Google Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

syntax = "proto3";

package google.appengine.v1;

import "google/api/annotations.proto";
import "google/type/latlng.proto";

option go_package = "google.golang.org/genproto/googleapis/appengine/v1;appengine";
option java_multiple_files = true;
option java_outer_classname = "LocationProto";
option java_package = "com.google.appengine.v1";


// Metadata for the given [google.cloud.location.Location][google.cloud.location.Location].
message LocationMetadata {
  // App Engine Standard Environment is available in the given location.
  //
  // @OutputOnly
  bool standard_environment_available = 2;

  // App Engine Flexible Environment is available in the given location.
  //
  // @OutputOnly
  bool flexible_environment_available = 4;
}
